AllocatorWithCleanup< T, T_Align16 >::rebind< U > Struct Template Reference

Template class memeber Rebind. More...

## Public Types

typedef AllocatorWithCleanup< U, T_Align16 > | other

## Detailed Description

### template<class T, bool T_Align16 = false>
template<class U>
struct AllocatorWithCleanup< T, T_Align16 >::rebind< U >

Template class memeber Rebind.

Template Parameters

  T | allocated class or type
  T_Align16 | boolean that determines whether allocations should be aligned on 16-byte boundaries
  U | bound class or type

Rebind allows a container class to allocate a different type of object to store elements. For example, a std::list will allocate std::list_node to store elements in the list.

VS.NET STL enforces the policy of "All STL-compliant allocators have to provide a template class member called rebind".

Definition at line 236 of file secblock.h.

The documentation for this struct was generated from the following file:

- secblock.h